# Docker-Container für Einführung in Datenbanken

Der Container installiert ein Postgres-DBMS in der Version 11.2 mit mehreren Übungsdatenbanken und die Adminer-Web-Applikation, um mit SQL auf diese Datenbanken zugreifen zu können.

## Installation
Zum Arbeiten mit Docker brauchen sie  Administrator-Rechte oder sie müssen in der Gruppe `docker` sein.
1. Installieren sie [Docker Community Edition](https://docs.docker.com/install/) und [Docker-Compose](https://docs.docker.com/compose/install/).
2. Laden sie sich dieses Projekt auf ihren Computer, entpacken sie es und wechseln sie in das Verzeichnis `www-pgrest`.
3. Kopieren sie die Datei `env-example` nach `.env` und editieren sie `.env` um die Passwörter für den Datenbankzugriff zu setzen und den Port für die Adminer-Web-Applikation festzulegen.
4. Führen sie in dem Verzeichnis `www-pgrest` in einer Shell das folgende Kommando aus, um den Container zu starten
```
docker-compose up
```
Beim ersten Start werden die Container für Postgres und Adminer von [hub.docker.com](https://hub.docker.com) geladen und die Datenbanken in dem Unterverzeichnis `pg-data` angelegt.

## Arbeiten mit dem Docker-Container

Wenn der Docker-Container gestartet wurde (wie in Schritt 4 beschrieben) können mit einem Browser auf Adminer zu greifen. Wenn sie den Container auf ihren Computer installiert und den Port 80 gesetzt haben, ist der Link [http://localhost:80](http://localhost:80).

Sie können sich als der Nutzer mit dem Passwort einloggen, dass sie in der Datei `.env` vorgegeben haben.
In der Datenbank `postgres` sind folgende Datenbankschemata installiert `presidents`. 

Wenn alle Containter gestartet sind, können Sie mit dem Befehl
```
curl localhost:3000/president
```
den Inhalt den Tabelle `president` abfragen und das Ergebnis wird im Json-Format verpackt zurückgegeben.

Im Verzeichnis elm ist ein Beispielprogramm, dass die Tabelle `president` abfragt und die Namen der Presidenten ausgibt. Die Abgabe nutzt `http://localhost:3000/president`. Wenn die o.g. Docker-Container laufen, können Sie das Elm-Programm mit einem lokalen Web-Server ausführen und bekommen das Ergebnis.


