module Test2 exposing (..)

import Browser
import Html exposing (Html, div, text, ul, li)
import Url exposing (Url)
import Url.Parser exposing (Parser, s, string, map, query, (</>))
import Url.Parser.Query exposing (string)
import Json.Decode exposing(Decoder)
import Browser
import Html exposing (Html, button, div, text, input, ul, li)
import Html.Events exposing (onClick, onInput)
import Html.Attributes exposing (placeholder, value)
import Http
import Json.Decode exposing (Decoder, map6,map4, field, int, string, list, nullable)
import Http


-- MODEL
type alias Book =
 {
  titel:String,
  erscheinungsjahr:Int,
  autor:String,
  genres:String
 }

type alias Model =
    { selectedBooks : List String }

update : Msg -> Model -> (Model, Cmd Msg)
update msg model =
    case msg of
        GotBooks result ->
            case result of
                Ok books ->
                    ({ model | selectedBooks = books }, Cmd.none)

                Err _ ->
                    ({ model | selectedBooks = [] }, Cmd.none)

        UpdateSearchText newText ->
            ({ model | searchText = newText }, Cmd.none)



type Msg
    = GotBooks (Result Http.Error (List Book))
    | UpdateSearchText String
    -- Weitere Nachrichtentypen hier hinzufügen, je nach Bedarf

getBooks : Cmd Msg
getBooks =
  Http.get
    { url = "http://localhost:3000/buecher"
    , expect = Http.expectJson GotBooks booksDecoder
    }

booksDecoder : Decoder (List Book)
booksDecoder =
  list (
   (map4 Book
    (field "titel" string)
    (field "erscheinungsjahr" int)
    (field "autor" string)
    (field "genres" string)
   )
  )



init : Url -> (Model, Cmd Msg)
init url =
    let
        selectedBooks =
            parseUrl url
    in
    ({ selectedBooks = selectedBooks }, getBooks)



-- URL PARSING

parseUrl : Url -> List String
parseUrl url =
    case Url.Parser.parse (s "selected-books" </> query (Url.Parser.Query.string "titles")) url of
        Just titles ->
            String.split "," titles

        Nothing ->
            []






-- VIEW

view : Model -> Html msg
view model =
    div []
        [ ul []
            (List.map (\title -> li [] [ text title ]) model.selectedBooks)
        ]


-- MAIN

main =
    Browser.application
        { init = \flags url -> init url
        , update = \_ model -> (model, Cmd.none)
        , view = view
        , subscriptions = \_ -> Sub.none
        , onUrlChange = \_ -> Cmd.none
        , onUrlRequest = \_ -> Cmd.none
        }
