module Empfehlungen exposing (..)

import Html exposing (Html, div, text, p, ul, li, h2, img)
import Html.Attributes exposing (style, src)

view : Html msg
view =
    div [ style "padding" "40px"
        , style "padding-top" "40px"
        , style "min-height" "100vh"
        , style "font-size" "18px"
        , style "font-family" "'Helvetica Neue', Arial, sans-serif"
        , style "background-color" "rgb(214,186,172)"
        , style "color" "#333"
        , style "display" "flex"
        , style "justify-content" "center"
        , style "align-items" "center"
        ]
        [ div [ style "background-color" "#fff"
              , style "padding" "20px"
              , style "border-radius" "8px"
              , style "box-shadow" "0 4px 8px rgba(0,0,0,0.1)"
              , style "max-width" "800px"
              , style "line-height" "1.6"
              , style "overflow-y" "auto"
              ]
            [ h2 [style "font-weight" "bold", style "font-size" "40px" ] [ text "Empfehlungen für dich" ]
            , p [] [ text "Hier findest du spannende Buchempfehlungen für dich" ]
            , ul []
                [ li [ style "display" "flex", style "align-items" "center", style "margin-bottom" "20px" ]
                    [ img [ src "sherlock.jpg", style "width" "200px", style "margin-right" "20px"] []
                    , div []
                        [ p [ style "font-weight" "bold" ] [ text "Sherlock Holmes: Das Zeichen der Vier" ]
                        , p [] [ text "Autor: Arthur Conan Doyle" ]
                        , p [] [ text "Seitenzahl: 120" ]
                        , p [] [ text "Erscheinungsjahr: 1890" ]
                        , p [] [ text "Genre: Krimi, Detektivgeschichte" ]
                        , p [] [ text "Beschreibung: Sherlock Holmes, gelangweilt und dem Kokain verfallen, wird unversehens in einen neuen Fall verwickelt, als eines Abends eine junge Dame bei ihm und Dr. Watson erscheint. Mehrere Jahre lang hatte die Dame Miss Morstan kostbare Perlen erhalten, deren Herkunft sie nicht klären konnte. Doch jetzt scheint der Augenblick der Wahrheit nah, denn sie soll sich an einem bestimmten Treffpunkt einfinden, um das Rätsel zu lösen. In Begleitung von Sherlock Holmes und Dr. Watson begibt sie sich in ein riskantes Abenteuer, das beinahe zur Verhaftung der beiden Freunde führt. Die Spur der Perlen führt zu einem düsteren Haus mit einem noch dunkleren Geheimnis und einem Toten …" ]
                        ]
                    ]
                , li [ style "display" "flex", style "align-items" "center", style "margin-bottom" "20px", style "flex-direction" "row-reverse" ]
                    [ img [ src "Faust.jpg", style "width" "200px", style "margin-left" "20px"] []
                    , div []
                        [ p [ style "font-weight" "bold" ] [ text "Faust erster Teil" ]
                        , p [] [ text "Autor: Johann Wolfgang von Goethe" ]
                        , p [] [ text "Seitenzahl: 210" ]
                        , p [] [ text "Erscheinungsjahr: 1808" ]
                        , p [] [ text "Genre: Drama, Tragödie" ]
                        , p [] [ text "Beschreibung: Goethe schrieb über 60 Jahre an seinem »Faust« und nannte »diese sehr ernsten Scherze« am Ende sein »Hauptgeschäft«: Dabei entstand eines der großartigsten und gleichzeitig komplexesten Werke der Weltliteratur. Die Tragödie von Faust, der seine Seele dem Teufel verkauft." ]
                        ]
                    ]
                , li [ style "display" "flex", style "align-items" "center", style "margin-bottom" "20px" ]
                    [ img [ src "Pippi.jpg", style "width" "200px", style "margin-right" "20px"] []
                    , div []
                        [ p [ style "font-weight" "bold" ] [ text "Pippi Langstrumpf" ]
                        , p [] [ text "Autor: Astrid Lindgren" ]
                        , p [] [ text "Seitenzahl: 160" ]
                        , p [] [ text "Erscheinungsjahr: 1945" ]
                        , p [] [ text "Genre: Kinderbuch" ]
                        , p [] [ text "Beschreibung: Als Pippilotta Viktualia Rollgardina Pfefferminz Efraimstochter Langstrumpf in die Villa Kunterbunt einzieht, staunen Tommy und Annika nicht schlecht. Denn Pippi hat nicht nur einen ganzen Koffer voller Goldstücke, ein Pferd und einen Affen - sie ist auch das stärkste Mädchen der Welt und macht, was sie will. Ziemlich schnell hat sie Tommys und Annikas Leben ganz schön auf den Kopf gestellt." ]
                        ]
                    ]
                , li [ style "display" "flex", style "align-items" "center", style "margin-bottom" "20px", style "flex-direction" "row-reverse" ]
                    [ img [ src "Romeo_Juliet_society.jpg", style "width" "200px", style "margin-left" "20px"] []
                    , div []
                        [ p [ style "font-weight" "bold" ] [ text "Romeo & Juliet Society" ]
                        , p [] [ text "Autor: Sabine Schoder" ]
                        , p [] [ text "Seitenzahl: 416" ]
                        , p [] [ text "Erscheinungsjahr: 2023" ]
                        , p [] [ text "Genre: Jugendbuch, Liebesroman" ]
                        , p [] [ text "Beschreibung: Noch heute liegt auf den Familien von Romeo Montague und Julia Capulet ein Fluch: Alle siebzehn Jahre muss sich ein Liebespaar aus ihren beiden Häusern opfern. Joy ahnt von ihrem gefährlichen Erbe nichts, bis sie an eine Akademie entführt wird. Als Capulet darf sie sich auf keinen Fall in einen Montague verlieben, doch die Fürsten beider Häuser lassen ihr Herz höherschlagen. Auf dem Ball, auf dem das tragische Liebespaar ausgewählt wird, bringen Joys Gefühle nicht nur sie selbst in Gefahr …" ]
                        ]
                    ]
                ]
            ]
        ]
